package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class Agama
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "DetailAlasanPemindahanPasien_T")
public class DetailAlasanPemindahanPasien extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "objectTransferPasienInternalFk")
	@Caption(value="Transfer Pasien Internal")
	@JsonBackReference
	private TransferPasienInternal transferPasienInternal;

	@Column(name = "objectTransferPasienInternalFk", insertable=false,updatable=false,nullable=true)
	private String transferPasienInternalId;
	
	@ManyToOne
	@JoinColumn(name = "objectAlasanPemindahanPasienFk")
	@Caption(value="Alasan Pemindahan Pasien")
	@JsonBackReference
	@NotNull(message="Alasan Pemindahan Pasien Harus Diisi")
	private AlasanPemindahanPasien alasanPemindahanPasien;

	@Column(name = "objectAlasanPemindahanPasienFk", insertable=false,updatable=false,nullable=false)
	private Integer alasanPemindahanPasienId;
	
	@Column(name = "checked")
	private Boolean checked;

	public TransferPasienInternal getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternal transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public String getTransferPasienInternalId() {
		return transferPasienInternalId;
	}

	public void setTransferPasienInternalId(String transferPasienInternalId) {
		this.transferPasienInternalId = transferPasienInternalId;
	}

	public AlasanPemindahanPasien getAlasanPemindahanPasien() {
		return alasanPemindahanPasien;
	}

	public void setAlasanPemindahanPasien(AlasanPemindahanPasien alasanPemindahanPasien) {
		this.alasanPemindahanPasien = alasanPemindahanPasien;
	}

	

	public Integer getAlasanPemindahanPasienId() {
		return alasanPemindahanPasienId;
	}

	public void setAlasanPemindahanPasienId(Integer alasanPemindahanPasienId) {
		this.alasanPemindahanPasienId = alasanPemindahanPasienId;
	}

	public Boolean getChecked() {
		return checked;
	}

	public void setChecked(Boolean checked) {
		this.checked = checked;
	}

	
	
	
}

